;/*!	@file
;	@brief Resource Database
;
;	RcDbMessages.h --  Message code definitions for the Sakura-Editor.
;
;	@author wakura
;	@date 2008
;*/
;/*
;	Copyright (C) 2008, wakura
;
;	This software is provided 'as-is', without any express or implied
;	warranty. In no event will the authors be held liable for any damages
;	arising from the use of this software.
;
;	Permission is granted to anyone to use this software for any purpose, 
;	including commercial applications, and to alter it and redistribute it 
;	freely, subject to the following restrictions:
;
;		1. The origin of this software must not be misrepresented;
;		   you must not claim that you wrote the original software.
;		   If you use this software in a product, an acknowledgment
;		   in the product documentation would be appreciated but is
;		   not required.
;
;		2. Altered source versions must be plainly marked as such, 
;		   and must not be misrepresented as being the original software.
;
;		3. This notice may not be removed or altered from any source
;		   distribution.
;*/
;#ifndef __RCDB_MESSAGES_H__
;#define __RCDB_MESSAGES_H__
;

MessageIdTypedef = DWORD
OutputBase = 16

SeverityNames = (
	Success       = 0x0:RCDB_STATUS_SEVERITY_SUCCESS
	Informational = 0x1:RCDB_STATUS_SEVERITY_INFORMATIONAL
	Warning       = 0x2:RCDB_STATUS_SEVERITY_WARNING
	Error         = 0x3:RCDB_STATUS_SEVERITY_ERROR
)

FacilityNames = (
	System   = 0x000:RCDB_FACILITY_SYSTEM
	Runtime  = 0x002:RCDB_FACILITY_RUNTIME
	Stubs    = 0x003:RCDB_FACILITY_STUBS
	Io       = 0x004:RCDB_FACILITY_IO_ERROR_CODE
	Security = 0x009:RCDB_FACILITY_SECURITY
	Internet = 0x00C:RCDB_FACILITY_INTERNET
)

LanguageNames = (
	Japanese = 0x411:MSG00411
	English  = 0x409:MSG00409
)

;
;// Success      :  9900 -  9999 (0x26AC - 0x270F)
;// Informational: 10000 - 10999 (0x2710 - 0x2AF7)
;// Warning      : 11000 - 11999 (0x2AF8 - 0x2EDF)
;// Error        : 12000 - 12999 (0x2EE0 - 0x32C7)
;// Question     : 13000 - 13999 (0x32C8 - 0x36AF)
;// Others       : 14000 - 14999 (0x36B0 - 0x3A97)
;#define RCDB_MSG_S_BASE  9900
;#define RCDB_MSG_I_BASE 10000
;#define RCDB_MSG_W_BASE 11000
;#define RCDB_MSG_E_BASE 12000
;#define RCDB_MSG_Q_BASE 13000
;#define RCDB_MSG_O_BASE 14000
;


MessageId    = 9999
Severity     = Success
Facility     = Runtime
SymbolicName = RCDB_MSG_S_LANG_INFORMATION
Language     = Japanese
Sakura-Editor,1041,Japanese
.
Language     = English
Sakura-Editor,1033,English(US)
.



MessageId    = 10000
Severity     = Informational
Facility     = Runtime
SymbolicName = RCDB_MSG_I_DELETE_HISTORY
Language     = Japanese
ŋߎg%1!s!̗폜܂B
.
Language     = English
Delete recent %1!s! completed%.
.

MessageId    = +1
Severity     = Informational
Facility     = Runtime
SymbolicName = RCDB_MSG_I_DELETE_HISTORY_WITHOUT_FAVORITE
Language     = Japanese
ŋߎg%1!s!̗(CɓȊO)폜܂B
.
Language     = English
Delete recent %1!s! excluding the favorite completed%.
.



MessageId    = 11000
Severity     = Warning
Facility     = Runtime
SymbolicName = RCDB_MSG_W_SET_SEARCH_CONDITION
Language     = Japanese
w肵ĂB
.
Language     = English
Please specify the search condition.
.



MessageId    = 12000
Severity     = Error
Facility     = System
SymbolicName = RCDB_MSG_E_CREATE_MUTEX
Language     = Japanese
CreateMutex() Ɏs܂B%nTNGfB^I܂B
.
Language     = English
Failed to CreateMutex()%.%nExit Sakura-Editor%.
.

MessageId    = +1
Severity     = Error
Facility     = System
SymbolicName = RCDB_MSG_E_CREATE_EVENT
Language     = Japanese
CreateEvent() Ɏs܂B%nTNGfB^I܂B
.
Language     = English
Failed to CreateEvent()%.%nExit Sakura-Editor%.
.

MessageId    = +1
Severity     = Error
Facility     = Runtime
SymbolicName = RCDB_MSG_E_CREATE_TARY_WINDOW
Language     = Japanese
EChE̍쐬Ɏs܂B%nNł܂B
.
Language     = English
Failed to create window%.%nExit Sakura-Editor%.
.

MessageId    = +1
Severity     = Error
Facility     = System
SymbolicName = RCDB_MSG_E_CREATE_SET_EVENT
Language     = Japanese
SetEvent() Ɏs܂B%nNł܂B
.
Language     = English
Failed to SetEvent()%.%nExit Sakura-Editor%.
.

MessageId    = +1
Severity     = Error
Facility     = Runtime
SymbolicName = RCDB_MSG_E_SET_SEARCH_CONDITION
Language     = Japanese
w肵ĂB
.
Language     = English
Please specify the search condition%.
.

MessageId    = +1
Severity     = Error
Facility     = Runtime
SymbolicName = RCDB_MSG_E_SET_SEARCH_FOLDER
Language     = Japanese
ΏۃtH_܂B
.
Language     = English
Search folder is not correct%.
.

MessageId    = +1
Severity     = Error
Facility     = Runtime
SymbolicName = RCDB_MSG_E_SET_INVALID_FOLDER
Language     = Japanese
ΏۃtH_w肵ĂB
.
Language     = English
Please specify the search folder%.
.

MessageId    = +1
Severity     = Error
Facility     = Runtime
SymbolicName = RCDB_MSG_E_SET_INVALID_LINE_NUMBER
Language     = Japanese
sԍ͂ĂB
.
Language     = English
Please input the line number correctly%.
.



MessageId    = 13000
Severity     = Informational
Facility     = Runtime
SymbolicName = RCDB_MSG_Q_DELETE_HISTORY_WITH_FAVORITE
Language     = Japanese
ŋߎg%1!s!̗폜܂B%n%n낵łH%n%nu͂v\tׂč폜܂B%nuv\tCɓȊO폜܂B
.
Language     = English
Delete recent %1!s!%.%n%nOkay?%n%n[Yes]\tDelete all%.%n[No]\tDelete excluding the favorite%.
.

MessageId    = +1
Severity     = Informational
Facility     = Runtime
SymbolicName = RCDB_MSG_Q_DELETE_HISTORY
Language     = Japanese
ŋߎg%1!s!̗폜܂B%n%n낵łH
.
Language     = English
Delete recent %1!s!%.%n%nOkay?
.



MessageId    = 14000
Severity     = Informational
Facility     = Runtime
SymbolicName = RCDB_MSG_O_SAMPLE
Language     = Japanese
̓TvłB%n(%1!s!%2!d!%3!d!̘ał%.)B
.
Language     = English
This is sample%.%n(%2!d!+%3!d!=%1!s!)%.
.


;
;#endif	//__RCDB_MESSAGES_H__
